# Interface methods for submodule: ConvolutionImageFilterBase
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: ConvolutionImageFilterBase
class ConvolutionImageFilterBaseProxy(_ImageToImageFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	def SetBoundaryCondition(self, _arg) -> None:
		""""""
		...

	def GetBoundaryCondition(self):
		""""""
		...

	def SetKernelImage(self, _arg) -> None:
		""""""
		...

	def GetKernelImage(self):
		""""""
		...

	def SetNormalize(self, _arg: bool) -> None:
		""""""
		...

	def GetNormalize(self) -> bool:
		""""""
		...

	def NormalizeOn(self) -> None:
		""""""
		...

	def NormalizeOff(self) -> None:
		""""""
		...

	def SetOutputRegionMode(self, _arg) -> None:
		""""""
		...

	def GetOutputRegionMode(self):
		""""""
		...

	def SetOutputRegionModeToSame(self) -> None:
		""""""
		...

	def SetOutputRegionModeToValid(self) -> None:
		""""""
		...

